#
#  rb_main.rb
#  First Cuts
#
#  Created by Gregory Clarke on 4/3/08.
#  Copyright (c) 2008 Intelligent Assistance, Inc. All rights reserved.
#

require 'osx/cocoa'
require 'path-setting'   # (1)
OSX.require_framework 'QTKit'

def rb_main_init
  path = OSX::NSBundle.mainBundle.resourcePath.fileSystemRepresentation
  rbfiles = Dir.entries(path).select {|x| /\.rb\z/ =~ x}
  rbfiles -= [ File.basename(__FILE__) ]
  rbfiles.each do |path|
    require( File.basename(path) )
  end
end

if $0 == __FILE__ then
	OSX::NSLog "RubyCocoa version is #{OSX::RUBYCOCOA_VERSION}."
	OSX::NSLog "App version is #{OSX::NSBundle.mainBundle.infoDictionary.objectForKey("CFBundleShortVersionString")} / #{OSX::NSBundle.mainBundle.infoDictionary.objectForKey("CFBundleVersion")}"
  RubyCocoaLocations.restrict_load_path_to_OSX_defaults   # (2)
  RubyCocoaLocations.make_chosen_libs_and_gems_available   # (3)
  rb_main_init
  OSX.NSApplicationMain(0, nil)
end
